Bug 1095601 - Fedora 20 stuck on boot on a blank screen - Nouveau issue GT740M
Summary: Fedora 20 stuck on boot on a blank screen - Nouveau issue GT740M
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-08 06:49 UTC by Luca Ciavatta
Modified: 2015-06-29 20:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 20:31:23 UTC


Attachments (Terms of Use)

Description Luca Ciavatta 2014-05-08 06:49:48 UTC
Description of problem:
Fedora 20 Gnome stuck on boot on a black screen.
On the screen, there are some messages:
[ 0.599986] EFI: Problem loading in kernel X.509 certificate (-129)
[ 4.305211] nouveau E[   PIBUS][0000:07:00.0] HUBO: 0x6013d4 0x00005702 (0x1a708200)
[ 4.305240] nouveau E[   PIBUS][0000:07:00.0] GPC0: 0x4188ac 0x00000001 (0x1870822e)
[ 4.367515] nouveau E[     DRM] Pointer to TMDS table invalid
[ 4.367545] nouveau E[     DRM] Pointer to flat panel table invalid

The EFI problem was showed ever but the system works.
On the nouveau problem the computer stucks on this screen and I'm not able to do nothing, also to enter in a Terminal session. All is blocked.

Version-Release number of selected component (if applicable):
Fedora 20 Gnome
Kernel (3.14.2-200.fc20.x886_64) 20 (Heisenbug)
System Lenovo z510 i7 with Nvidia GeForce GT 740M and FullHD display 1920x1080

How reproducible:
The system works well after installation of F20 and also after some updates. 
After a couple of weeks, on turning on the PC do that.

Steps to Reproduce:
1. Turn on the laptop.
2. Laptop shows Fedora logo.
3. Screen goes black with some messages still on.

Actual results:
Blocked on black screen with messages.

Expected results:
Expected it to show the Gnome user login screen.

Additional info:
I also can't enter the terminal with ctrl+alt+F2 or fn+alt+F2 or alt+F2.

On loading Kernel Fedora, with Linux 3.11.10-301.fc20.x86_64
Fedora 20 Gnome stuck on boot on a black screen.
On the screen, there are some messages:
[ 0.599986] EFI: Problem loading in kernel X.509 certificate (-129)
[ 4.472661] nouveau E[  DEVICE][0000:07:00.0] unknown chipset, 0x108120a1
[ 4.472694] nouveau E[     DRM] failed to create 0x80000080, -22

On loading Kernel Fedora, with Linux 0-rescue-41b683091cbb4f56b45c2d80bcc66944
Fedora 20 Gnome stuck on boot on a black screen.
On the screen, there are some messages:
[ 0.599986] EFI: Problem loading in kernel X.509 certificate (-129)
[ 4.472661] nouveau E[  DEVICE][0000:07:00.0] unknown chipset, 0x108120a1
[ 4.472694] nouveau E[     DRM] failed to create 0x80000080, -22

Comment 1 Luca Ciavatta 2014-05-09 11:59:55 UTC
Adding 'single' to kernel boot line in grub, I was able to boot in a text-mode terminal. From that, I did 'rm /etc/X11/xorg.conf/ and reboot.
System boot and load until the Gnome Login Screen, but after I wrote the password the system hangs on the login screen. After about 15 second, on the screen appears the 'Something has gone wrong' picture and all stuck.

Comment 2 Luca Ciavatta 2014-05-14 12:01:29 UTC
After many attempts on this issues, I did:
on a single mode terminal, 
yum -y remove @gnome-desktop
yum clean all
yum -y install @gnome-desktop
yum update
the kernel was also updated to Kernel (3.14.3-200.fc20.x86_64) 20 (Heisenbug)
and now the system load the gnome environment and seems ok.

On loading screen remains the same issue about UEFI:
[ 0.599986] EFI: Problem loading in kernel X.509 certificate (-129) 
in yellow.

Comment 3 Luca Ciavatta 2014-05-14 12:04:54 UTC
On loading screen remains the same issue about UEFI:
[ 0.599986] EFI: Problem loading in kernel X.509 certificate (-129) 
in yellow

and in white some issues about Nouveau driver
[ 4.305211] nouveau E[   PIBUS][0000:07:00.0] HUBO: 0x6013d4 0x00005702 (0x1a708200)
[ 4.367515] nouveau E[     DRM] Pointer to TMDS table invalid

but after these, Gnome is loaded and after password on login screen, I can work and all seem ok.

Comment 4 Fedora End Of Life 2015-05-29 11:47:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 20:31:23 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.